package individual.BS;

import java.util.jar.JarFile;
import laboratory.util.AbstractLoader;

public class BSAutomatonFactoryLoader extends AbstractLoader<BSAutomatonFactory> {

    public BSAutomatonFactoryLoader(JarFile jarFile) {
        super(jarFile, "automaton.conf");
    }

    public BSAutomatonFactory load(Object... args) {
        BSAutomatonFactory.attempts = properties.getInt("count.attempts");
        return new BSAutomatonFactory(properties.getInt("count.states"), properties.getDouble("mu"));
    }
}
